Bug 1052708 - CVE-2014-0591 bind: named crash when handling malformed NSEC3-signed zones [fedora-all]
CVE-2014-0591 bind: named crash when handling malformed NSEC3-signed zones [f...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
20
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Hozza
Fedora Extras Quality Assurance
: Security, SecurityTracking
: 1038319 (view as bug list)
Depends On:
Blocks: CVE-2014-0591
  Show dependency treegraph
 
Reported: 2014-01-13 17:09 EST by Vincent Danen
Modified: 2014-01-20 06:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-20 06:03:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2014-01-13 17:09:42 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Vincent Danen 2014-01-13 17:09:48 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1051717,1052708
Comment 2 Tomáš Hozza 2014-01-14 02:54:34 EST
*** Bug 1038319 has been marked as a duplicate of this bug. ***
Comment 3 Tomáš Hozza 2014-01-14 08:33:28 EST
Just a small note, I find it strange that in the bug description, there is stated
that:

"Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed."


But in the comment #1

(In reply to Vincent Danen from comment #1)
> ...
> Please also ensure that the "Close bugs when update is stable" option
> remains checked.
> ...

If I keep the option checked in the update, then the first update pushed to
stable would cause this bug to be closed, which is not OK based on the sentence
in the description. I think you should review the text used in security tracker
bugs...
Comment 4 Fedora Update System 2014-01-14 08:37:25 EST
bind-9.9.3-8.P2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bind-9.9.3-8.P2.fc18
Comment 5 Fedora Update System 2014-01-14 08:39:18 EST
bind-9.9.3-14.P2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/bind-9.9.3-14.P2.fc19
Comment 6 Fedora Update System 2014-01-14 08:48:31 EST
bind-9.9.4-11.P2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/bind-9.9.4-11.P2.fc20
Comment 7 Vincent Danen 2014-01-17 16:31:03 EST
(In reply to Tomas Hozza from comment #3)
> Just a small note, I find it strange that in the bug description, there is
> stated
> that:
> 
> "Please note: this issue affects multiple supported versions of Fedora.
> Only one tracking bug has been filed; please ensure that it is only closed
> when all affected versions are fixed."
> 
> 
> But in the comment #1
> 
> (In reply to Vincent Danen from comment #1)
> > ...
> > Please also ensure that the "Close bugs when update is stable" option
> > remains checked.
> > ...
> 
> If I keep the option checked in the update, then the first update pushed to
> stable would cause this bug to be closed, which is not OK based on the
> sentence
> in the description. I think you should review the text used in security
> tracker
> bugs...

Suggestions are welcome, but considering we have a hard time getting people to care about these one way or the other I have my doubts that "Don't check the box and remember to come back here to close it after they're all pushed to stable" is going to work too well.

Not saying the text couldn't be improved, but the advantage here is that at least the bug gets closed.  Without it, it would stay open forever or until the old-bug-killer comes trolling through open bugs for this release, which isn't really ideal either.
Comment 8 Fedora Update System 2014-01-17 23:21:35 EST
bind-9.9.3-14.P2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2014-01-17 23:24:32 EST
bind-9.9.4-11.P2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Tomáš Hozza 2014-01-20 06:03:26 EST
All stable branches are updated

Note You need to log in before you can comment on or make changes to this bug.